export type StateType = {
  displayMode: 'full' | 'normal';
  navbarState: 'search' | 'annotations' | 'thumbnails' | '';
  sidebarState: SidebarType | '';
  toolState: ToolType | FormType | '';
  info: { token: string; id: string };
  initiated: boolean;
  isLoading: boolean;
};

export default {
  displayMode: 'normal',
  navbarState: '',
  sidebarState: '',
  toolState: '',
  info: {},
  initiated: false,
  isLoading: false,
};
